



/*Világos mód~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/

@media (prefers-color-scheme: light) {


*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Poppins", sans-serif;
}

body{
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background-size: cover;
    background-position: center;
}

.wrapper {
    width: 600px;
    background-color: transparent;
    border: 2px solid rgba(255, 255, 255, .2);
    backdrop-filter: blur(20px);
    box-shadow: 0 0 10px rgba(0, 0, 0, .2);
    border-radius: 10px;
    padding: 30px 40px;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    transition: opacity 0.5s;
    background-color: rgb(235, 235, 235);
}

.wrapper h1 {
    font-size: 36px;
    text-align: center;
}

.wrapper .input-box {
    position: relative;
    width: 100%;
    height: 50px;
    margin: 30px 0;
    background-color:transparent;
}

.input-box input {
    width: 100%;
    height: 100%;
    background: transparent;
    border: none;
    outline: none;
    border: 2px solid gray;
    border-radius: 40px;
    font-size: 16px;
    padding: 20px 45px 20px 20px;
}

.input-box i {
    position: absolute;
    right: 20px;
    top: 50%;
    transform: translateY(-50%);
    font-size: 20px;
}


.wrapper .remember-forgot {
    display: flex;
    justify-content: space-between;
    font-size: 14.5px;
    margin: -15px 0 15px;
}

.wrapper .btn {
    width: 100%;
    height: 45px;
    background-size:contain;
    background-position: center;
    border: none;
    outline: none;
    border-radius: 40px;
    box-shadow: 0 0 10px rgba(0, 0, 0, .1);
    background-color: #a6a6a6;
    cursor: pointer;
    font-size: 16px;
    font-weight: 600;
}

.wrapper .register-link,
.wrapper .login-link {
    font-size: 14.5px;
    text-align: center;
    margin-top: 16px;

}

.register-link p a,
.login-link p a {
    text-decoration: none;
    font-weight: 600;
}

.register-link p a:hover,
.login-link p a:hover {
    text-decoration: underline;
}

.admin-link {
 text-align: center;
margin-top: 20px;
}

.admin-link a {
font-weight: bold;
font-size: 16px;
text-decoration: underline;
padding: 10px 20px;
}


}



/*Sötétmód~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/


@media (prefers-color-scheme: dark) {


*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Poppins", sans-serif;
}

body{
    display: flex;
    justify-content: center;
    align-items: center;
    background-size: cover;
    background-position: center;
    background-color: black;
    color: whitesmoke;
}

.wrapper {
    width: 600px;
    background-color: transparent;
    border: 2px solid rgba(255, 255, 255, .2);
    backdrop-filter: blur(20px);
    box-shadow: 0 0 10px rgba(255, 255, 255, 0.2);
    border-radius: 10px;
    padding: 30px 40px;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    transition: opacity 0.5s;
    background-color: #111111;
}


@media (max-width: 605px) {
    .wrapper {
        width: 100%;
    }
}

.wrapper h1 {
    font-size: 36px;
    text-align: center;
}

.wrapper .input-box {
    position: relative;
    width: 100%;
    height: 50px;
    margin: 30px 0;
    background-color:transparent;
}

.input-box input {
    width: 100%;
    height: 100%;
    background: transparent;
    border: none;
    outline: none;
    border: 2px solid gray;
    border-radius: 40px;
    font-size: 16px;
    padding: 20px 45px 20px 20px;
    color: whitesmoke;
}

.input-box i {
    position: absolute;
    right: 20px;
    top: 50%;
    transform: translateY(-50%);
    font-size: 20px;
}


.wrapper .remember-forgot {
    display: flex;
    justify-content: space-between;
    font-size: 14.5px;
    margin: -15px 0 15px;
}

.wrapper .btn {
    width: 100%;
    height: 45px;
    background-size:contain;
    background-position: center;
    border: none;
    outline: none;
    border-radius: 40px;
    box-shadow: 0 0 10px rgba(255, 255, 255, 0.226);
    background-color: #a6a6a6;
    cursor: pointer;
    font-size: 16px;
    font-weight: 600;
}

.wrapper .register-link,
.wrapper .login-link {
    font-size: 14.5px;
    text-align: center;
    margin-top: 16px;

}

.register-link p a,
.login-link p a {
    text-decoration: none;
    font-weight: 600;
}

.register-link p a:hover,
.login-link p a:hover {
    text-decoration: underline;
}

.admin-link {
 text-align: center;
margin-top: 20px;
}

.admin-link a {
font-weight: bold;
font-size: 16px;
text-decoration: underline;
padding: 10px 20px;
}


}